Messages
{
"method": "subscribe",
"topic": "solana.assets.balance-changes",
"params": {
"owner_addresses": [
"13NyGvtCdrBUqRSRHJUfw6yXFLoZ9VBu27RL8fq4daos"
],
"token_addresses": [
"13NyGvtCdrBUqRSRHJUfw6yXFLoZ9VBu27RL8fq4daos"
]
}
}{
"method": "unsubscribe",
"topics": [
"solana.assets.balance-changes"
]
}{
"topic": "solana.assets.balance-changes",
"data": {
"id": 1,
"balance_type": "spl_token_balance",
"stack_height": 2,
"token_address": "13NyGvtCdrBUqRSRHJUfw6yXFLoZ9VBu27RL8fq4daos",
"owner_address": "CsVdJ8WH8Q9eHSTRpwtwN3TYApm24QnLKYUMNxJ3DaED",
"pre_balance": 256.4115815,
"post_balance": 1991.57546081,
"block_slot": 382423380,
"block_time": "2026-05-28T12:00:00Z"
}
}Balances
Subscribe Balance Changes
Subscribe to real-time token and native balance changes.
WSS
/
v1
/
ws
To keep the connection alive, you need to send a ping message every less than 60 seconds.
topic field that you can use to filter the type of message.
When subscribing, you can leave any of the array fields of the
params object empty to subscribe to all entries for that field.When unsubscribing, you can leave the
topics array empty to unsubscribe from all topics.Messages
{
"method": "subscribe",
"topic": "solana.assets.balance-changes",
"params": {
"owner_addresses": [
"13NyGvtCdrBUqRSRHJUfw6yXFLoZ9VBu27RL8fq4daos"
],
"token_addresses": [
"13NyGvtCdrBUqRSRHJUfw6yXFLoZ9VBu27RL8fq4daos"
]
}
}{
"method": "unsubscribe",
"topics": [
"solana.assets.balance-changes"
]
}{
"topic": "solana.assets.balance-changes",
"data": {
"id": 1,
"balance_type": "spl_token_balance",
"stack_height": 2,
"token_address": "13NyGvtCdrBUqRSRHJUfw6yXFLoZ9VBu27RL8fq4daos",
"owner_address": "CsVdJ8WH8Q9eHSTRpwtwN3TYApm24QnLKYUMNxJ3DaED",
"pre_balance": 256.4115815,
"post_balance": 1991.57546081,
"block_slot": 382423380,
"block_time": "2026-05-28T12:00:00Z"
}
}x-api-key
type:httpApiKey
Your Prism API key. You can get one for free in the Prism Dashboard.
You must include it in the x-api-key query parameter.
Subscribe Balance Changes
type:object
Subscribe to balance change updates.
Unsubscribe Balance Changes
type:object
Unsubscribe from balance change updates.
Balance Changes Message
type:object
Message containing the balance change data.
Was this page helpful?
⌘I